<?xml version="1.0" encoding="UTF-8"?>

<project>
  <extend>${basedir}/../project.xml</extend>
  <pomVersion>3</pomVersion>
  <id>maven-cactus-plugin</id>
  <name>Maven Cactus Plug-in</name>
  <currentVersion>3.1-SNAPSHOT</currentVersion>
  <description>Plugin for Cactus (http://jakarta.apache.org/cactus) that allows to automatically start containers, run Cactus tests and stop the containers.</description>
  <shortDescription>Cactus plugin</shortDescription>
  <url>http://maven.apache.org/reference/plugins/cactus/</url>
  <siteDirectory>/www/maven.apache.org/reference/plugins/cactus/</siteDirectory>
  <repository>
    <connection>scm:cvs:pserver:anoncvs@cvs.apache.org:/home/cvspublic:maven/src/plugins-build/cactus/</connection>
    <url>http://cvs.apache.org/viewcvs/maven/src/plugins-build/cactus/</url>
  </repository>
  <versions>
    <version>
      <id>1.0</id>
      <name>1.0</name>
      <tag>MAVEN_CACTUS_1_0</tag>
    </version>
    <version>
      <id>1.1</id>
      <name>1.1</name>
      <tag>MAVEN_CACTUS_1_1</tag>
    </version>
    <version>
      <id>1.2</id>
      <name>1.2</name>
      <tag>MAVEN_CACTUS_1_2</tag>
    </version>
    <version>
      <id>2.0</id>
      <name>2.0</name>
      <tag>MAVEN_CACTUS_2_0</tag>
    </version>
    <version>
      <id>3.0</id>
      <name>3.0</name>
      <tag>MAVEN_CACTUS_3_0</tag>
    </version>
    <version>
      <id>3.1</id>
      <name>3.1</name>
      <tag>HEAD</tag>
    </version>
  </versions>
  <developers>
    <developer>
      <name>Vincent Massol</name>
      <id>vmassol</id>
      <email>vmassol@pivolis.com</email>
      <organization>Pivolis</organization>
      <roles>
        <role>Java Developer</role>
        <role>Architect</role>
        <role>Release Manager</role>
      </roles>
    </developer>
    <developer>
      <name>Eric Pugh</name>
      <id>epugh</id>
      <email>EPugh@upstate.com</email>
      <organization/>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
  </developers>
  <contributors/>
  <dependencies>

    <dependency>
      <groupId>cactus</groupId>
      <artifactId>cactus</artifactId>
      <version>13-1.6dev-20030809</version>
    </dependency>
    <dependency>
      <groupId>cactus</groupId>
      <artifactId>cactus-ant</artifactId>
      <version>13-1.6dev-20030809</version>
    </dependency>
    <dependency>
      <groupId>commons-httpclient</groupId>
      <artifactId>commons-httpclient</artifactId>
      <version>2.0-rc1</version>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.3</version>
    </dependency>
    <dependency>
      <groupId>aspectj</groupId>
      <artifactId>aspectjrt</artifactId>
      <version>1.0.6</version>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
    </dependency>

    <!-- Note: Dependencies below are needed by HttpUnit. Xerces is also
    	 needed by the XML report used by the junitreport Ant task -->

    <dependency>
      <groupId>httpunit</groupId>
      <artifactId>httpunit</artifactId>
      <version>1.5.3</version>
    </dependency>
    <dependency>
      <groupId>nekohtml</groupId>
      <artifactId>nekohtml</artifactId>
      <version>0.7.4</version>
    </dependency>
    <dependency>
      <groupId>xerces</groupId>
      <artifactId>xerces</artifactId>
      <version>2.4.0</version>
    </dependency>
    <dependency>
      <groupId>xml-apis</groupId>
      <artifactId>xml-apis</artifactId>
      <version>1.0.b2</version>
    </dependency>
    <dependency>
      <groupId>rhino</groupId>
      <artifactId>js</artifactId>
      <version>1.5R4-RC3</version>
    </dependency>

  </dependencies>

  <reports>
    <report>maven-changes-plugin</report>
    <report>maven-changelog-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-developer-activity-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-license-plugin</report>
    <report>maven-linkcheck-plugin</report>
  </reports>

</project>
